<?xml version="1.0" encoding="UTF-8"?>
<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron">
   <sch:title>ISO Schematron file created from DTD</sch:title>
   <sch:ns prefix="mml" uri="http://www.w3.org/1998/Math/MathML"/>
   <sch:ns prefix="xsi" uri="http://www.w3.org/2001/XMLSchema-instance"/>
   <sch:ns prefix="xlink" uri="http://www.w3.org/1999/xlink"/>
   <sch:pattern id="heading">
      <sch:rule context="/">
         <sch:report test="*">Report date: <sch:value-of select="current-dateTime()"/>
         </sch:report>
      </sch:rule>
   </sch:pattern>
   <sch:pattern id="elements">
      <sch:title>Element Checks</sch:title>
      <sch:rule context="//p"/>
      <sch:rule context="//section">
         <sch:report test="parent::section and (number(parent::section/@level) ne (number(@level) - 1))">
    Child section level must be one greater than its parent 
  </sch:report>
      </sch:rule>
   </sch:pattern>
   <sch:pattern id="attributes">
      <sch:title>Attribute Checks</sch:title>
   </sch:pattern>
</sch:schema>